Page MenuHomePhabricator

graftcopies: remove `skip` and `repo` arguments
ClosedPublic

Authored by martinvonz on Jan 14 2020, 12:06 PM.

Details

Summary

The skip argument was added in 2ba6c9b4e0eb (rebase: fix bug that
caused transitive copy records to disappear (issue4192), 2014-06-07)
in order to fix https://bz.mercurial-scm.org/show_bug.cgi?id=4192. I
ran tests at that commit without the skiprev argument and the only
difference I noticed was that test-rebase-collapse.t failed
differently, in the call that is now on line 501. Without the
skiprev argument, that call would end up creating another commit
because it tried to record an invalid copy. With the previous patch in
this series, such invalid copies are no longer recorded, so it seems
we don't need the skip argument anymore.

I also removed the repo argument since that also becomes unused with
the removal of the skip argument.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

martinvonz created this revision.Jan 14 2020, 12:06 PM
pulkit accepted this revision.Jan 16 2020, 10:37 AM
This revision is now accepted and ready to land.Jan 16 2020, 10:37 AM
This revision was automatically updated to reflect the committed changes.